package com.mortals.xhx.module.single.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.single.model.vo.SingleMatterVo;
import lombok.Data;
/**
 * 单事项实体对象
 *
 * @author zxfei
 * @date 2025-03-25
 */
@Data
public class SingleMatterEntity extends SingleMatterVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 站点事项id
     */
    private Long siteMatterId;
    /**
     * 基础事项ID
     */
    private Long matterId;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 部门编码
     */
    private String deptCode;
    /**
     * 事项来源
     */
    private Integer source;
    /**
     * 事项类型
     */
    private String eventTypeShow;
    /**
     * 浏览次数
     */
    private Long viewsCount;
    /**
     * 是否生成本地附件
     */
    private Integer isConvert;
    /**
     * 事项详情链接
     */
    private String url;
    /**
     * 热门事项
     */
    private Integer hot;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SingleMatterEntity) {
            SingleMatterEntity tmp = (SingleMatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = null;
        this.siteName = "";
        this.siteMatterId = null;
        this.matterId = null;
        this.matterName = "";
        this.matterCode = "";
        this.deptId = null;
        this.deptName = "";
        this.deptCode = "";
        this.source = 0;
        this.eventTypeShow = "";
        this.viewsCount = 0L;
        this.isConvert = 0;
        this.url = "";
        this.hot = 0;
    }
}